SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

efuse_api.h File Reference

This file provides mbed EFUSE API. More...

`#include "device.h"`

## Functions
Ameba Common
int | efuse_get_remaining_length (void)
| Get remaining efuse length. More...
void | efuse_mtp_read (uint8_t *data)
| Read efuse contant of specified user. More...
int | efuse_mtp_write (uint8_t *data, uint8_t len)
| Write user's contant to efuse. More...
int | efuse_otp_read (u8 address, u8 len, u8 *buf)
| Read efuse OTP contant. More...
int | efuse_otp_write (u8 address, u8 len, u8 *buf)
| Write user's contant to OTP efuse. More...
int | efuse_otp_chk (u8 len, u8 *buf)
| ckeck user's contant to OTP efuse More...
int | efuse_disable_jtag (void)
| Disable jtag. More...
Ameba1 Only
int | efuse_key1_write (u8 address, u8 len, u8 *buf)
| Write key1 to efuse. More...
int | efuse_key2_write (u8 address, u8 len, u8 *buf)
| Write key2 to efuse. More...
AmebaZ Only
void | efuse_rdp_enable (void)
| Set RDP Enable. More...
void | efuse_rdp_keyset (u8 *rdp_key)
| Set 16B RDP key into EFUSE. More...
void | efuse_otf_keyset (u8 *otf_key)
| Set 16B OTF key into EFUSE. More...

## Detailed Description

This file provides mbed EFUSE API.

mbed Microcontroller Library

Author

Version
  V1.0.0

Attention

Copyright (c) 2006-2013 ARM Limited

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.